| Home | Libraries | People | FAQ | More

###### http::header::insert (1 of 6 overloads)

(Inherited from `http::basic_fields`)

Insert a field.

###### Synopsis

    void
    insert(
        field name,
        string_view const& value);

###### Description

If one or more fields with the same name already exist, the new field will be inserted after the last field with the matching name, in serialization order. The value can be an empty string.

###### Parameters

Name | Description
--- | ---
`name` | The field name.
`value` | The value of the field, as a `boost::beast::string_view`